# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_with gcj_support
%bcond_with bootstrap

%if %with gcj_support
%define gcj_support 1
%else
%define gcj_support 0
%endif

%if %with bootstrap
%define bootstrap 1
%else
%define bootstrap 0
%endif

%if %with tests
%define testing 1
%else
%define testing 0
%endif

%define section free
%define oname   activemq

Name:           activemq5
Version:        5.3.1
Release:        2%{?dist}
Epoch:          0
Summary:        Apache ServiceMix ESB Utils
License:        Apache Software License 2.0
Group:          Development/Libraries/Java
Url:            http://servicemix.apache.org/
Source0:        activemq5-5.3.1.tgz
# svn export https://svn.apache.org/repos/asf/activemq/tags/activemq-5.3.1/ activemq5-5.3.1
# tar czf activemq5-5.3.1.tgz activemq5-5.3.1/

Source1:        %{name}-settings.xml
Source2:        %{name}-jpp-depmap.xml
Source4:        directory-project-15.tgz
# svn export http://svn.apache.org/repos/asf/directory/project/tags/15/ directory-project-15


Patch0:         activemq5-pom.patch
Patch1:         activemq5-core-pom.patch
Patch2:         activemq5-xmpp-pom.patch
Patch3:         activemq5-console-pom.patch
Patch4:         activemq5-optional-pom.patch
Patch5:         activemq5-ra-pom.patch
Patch6:         activemq5-pool-pom.patch
Patch7:         activemq5-ActiveMQConfigureTest.patch

Patch99:        activemq5-postpone-camel.patch

BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  ant >= 0:1.7
BuildRequires:  apache-commons-parent >= 0:12
BuildRequires:  maven2 >= 0:2.0.8
BuildRequires:  maven2-plugin-antrun
BuildRequires:  maven2-plugin-assembly
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-rar
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-war
BuildRequires:  maven-enforcer-plugin
BuildRequires:  maven-release
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  maven-surefire-report-maven-plugin
BuildRequires:  maven-bundle-plugin
BuildRequires:  jetty6-maven2-plugins
BuildRequires:  mojo-maven2-plugin-build-helper
BuildRequires:  mojo-maven2-plugin-cobertura
BuildRequires:  mojo-maven2-plugin-exec
BuildRequires:  mojo-maven2-plugin-javacc
BuildRequires:  mojo-maven2-plugin-rat

# build only
BuildRequires:  apache-commons-parent
BuildRequires:  apache-commons-collections
BuildRequires:  apache-commons-primitives
BuildRequires:  apacheds-core
BuildRequires:  apacheds-server
BuildRequires:  axion
BuildRequires:  derby
BuildRequires:  easymock-classextension2
BuildRequires:  geronimo-genesis2
BuildRequires:  hamcrest
BuildRequires:  javacc3
BuildRequires:  jettison
BuildRequires:  jetty6
BuildRequires:  jmock2
BuildRequires:  junit
BuildRequires:  junit4
BuildRequires:  log4j
BuildRequires:  mina-ftpserver
BuildRequires:  regexp
BuildRequires:  slf4j
BuildRequires:  smack
BuildRequires:  spring2-jms
BuildRequires:  spring2-test
BuildRequires:  xbean

%if !%{bootstrap}
BuildRequires:  apache-camel-core
BuildRequires:  apache-camel-jms
BuildRequires:  apache-camel-spring
%endif

BuildRequires:  activeio3
BuildRequires:  activemq-protobuf
BuildRequires:  annogen
BuildRequires:  annotation_1_0_api
BuildRequires:  ant
BuildRequires:  aopalliance
BuildRequires:  apache-commons-collections
BuildRequires:  apache-commons-httpclient
BuildRequires:  apache-commons-lang
BuildRequires:  apache-commons-logging
BuildRequires:  apache-commons-net
BuildRequires:  apache-commons-pool
BuildRequires:  apache-taglibs-standard
BuildRequires:  apacheds-protocol-kerberos
BuildRequires:  axis2
BuildRequires:  derby
BuildRequires:  geronimo-txmanager
BuildRequires:  glassfish-jstl
BuildRequires:  groovy10
BuildRequires:  groovy-module-gram
BuildRequires:  j2ee_connector_1_5_api
BuildRequires:  j2ee_management_1_0_api
BuildRequires:  jacc_1_1_api
BuildRequires:  jaf_1_1_api
BuildRequires:  jakarta-taglibs-standard
BuildRequires:  jaxb_2_1_api
BuildRequires:  jdom
BuildRequires:  jetty6
BuildRequires:  jetty6-jsp-2.1
BuildRequires:  jms_1_1_api
BuildRequires:  josql
BuildRequires:  jstl
BuildRequires:  jta_1_0_1B_api
BuildRequires:  junit
BuildRequires:  ldap-client-api
BuildRequires:  log4j
BuildRequires:  maven2
BuildRequires:  org.osgi.core
BuildRequires:  rome
BuildRequires:  servlet_2_5_api
BuildRequires:  sitemesh
BuildRequires:  slf4j
BuildRequires:  spring2-beans
BuildRequires:  spring2-context
BuildRequires:  spring2-core
BuildRequires:  spring2-jms
BuildRequires:  spring2-web
BuildRequires:  spring2-webmvc
BuildRequires:  spring-osgi
BuildRequires:  spring-ws
BuildRequires:  stax_1_0_api
BuildRequires:  sun-jaxb-2.1-impl
BuildRequires:  velocity
BuildRequires:  wstx
BuildRequires:  xalan-j2
BuildRequires:  xbean
BuildRequires:  xmlbeans
BuildRequires:  xpp3
BuildRequires:  xstream

Requires(post):    jpackage-utils >= 0:1.7.5
Requires(postun):  jpackage-utils >= 0:1.7.5
Requires:       java >= 0:1.6.0


%if ! %{gcj_support}
BuildArch:      noarch
%endif
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if %{gcj_support}
BuildRequires:          java-gcj-compat-devel
Requires(post):         java-gcj-compat
Requires(postun):       java-gcj-compat
%endif

%description
Apache ActiveMQ.

%package poms
Summary:        POMs from %{name}
Group:          Development/Java

%description poms
%{summary}.

%package all
Summary:        Module all from %{name}
Group:          Development/Java
Requires:  annotation_1_0_api
Requires:  %{name}-poms = %{epoch}:%{version}-%{release}
Requires:  %{name}-console = %{epoch}:%{version}-%{release}
Requires:  %{name}-optional = %{epoch}:%{version}-%{release}
Requires:  %{name}-kahadb = %{epoch}:%{version}-%{release}

%description all
%{summary}.

%if !%{bootstrap}
%package camel
Summary:        Module camel from %{name}
Group:          Development/Java
Requires:  %{name}-poms = %{epoch}:%{version}-%{release}
Requires:  %{name}-core = %{epoch}:%{version}-%{release}
Requires:  %{name}-pool = %{epoch}:%{version}-%{release}
Requires:  annotation_1_0_api
Requires:  apache-camel-jms
Requires:  apache-commons-logging

%description camel
%{summary}.
%endif

%package console
Summary:        Module console from %{name}
Group:          Development/Java
Requires:  %{name}-poms = %{epoch}:%{version}-%{release}
Requires:  %{name}-core = %{epoch}:%{version}-%{release}
Requires:  activeio3
Requires:  apache-commons-collections
Requires:  apache-commons-lang
Requires:  apache-commons-pool
Requires:  jms_1_1_api
Requires:  josql
Requires:  velocity
Requires:  xbean

%description console
%{summary}.

%package core
Summary:        Module core from %{name}
Group:          Development/Java
Requires:  %{name}-poms = %{epoch}:%{version}-%{release}
Requires:  %{name}-jaas = %{epoch}:%{version}-%{release}
Requires:  %{name}-jmdns_1.0 = %{epoch}:%{version}-%{release}
Requires:  %{name}-kahadb = %{epoch}:%{version}-%{release}
Requires:  %{name}-openwire-generator = %{epoch}:%{version}-%{release}
Requires:  activeio3
Requires:  activemq-protobuf
Requires:  annotation_1_0_api
Requires:  apache-commons-logging
Requires:  apache-commons-net
Requires:  apache-commons-pool
Requires:  derby
Requires:  j2ee_management_1_0_api
Requires:  jacc_1_1_api
Requires:  jms_1_1_api
Requires:  jta_1_0_1B_api
Requires:  org.osgi.core
Requires:  spring-osgi
Requires:  spring2-context
Requires:  xalan-j2
Requires:  xbean
Requires:  xstream

%description core
%{summary}.

%package fileserver
Summary:        Module fileserver from %{name}
Group:          Development/Java
Requires:  %{name}-poms = %{epoch}:%{version}-%{release}
Requires:  %{name}-core = %{epoch}:%{version}-%{release}
Requires:  %{name}-jaas = %{epoch}:%{version}-%{release}
Requires:  jacc_1_1_api
Requires:  jetty6
Requires:  jms_1_1_api
Requires:  jta_1_0_1B_api
Requires:  j2ee_management_1_0_api

%description fileserver
%{summary}.

%package jaas
Summary:        Module jaas from %{name}
Group:          Development/Java
Requires:  %{name}-poms = %{epoch}:%{version}-%{release}
Requires:  apache-commons-logging
Requires:  log4j

%description jaas
%{summary}.

%package jmdns_1.0
Summary:        Module jmdns_1.0 from %{name}
Group:          Development/Java
Requires:  %{name}-poms = %{epoch}:%{version}-%{release}

%description jmdns_1.0
%{summary}.

%package kahadb
Summary:        Module kahadb from %{name}
Group:          Development/Java
Requires:  apache-commons-logging
Requires:  %{name}-poms = %{epoch}:%{version}-%{release}

%description kahadb
%{summary}.

%package karaf
Summary:        Module karaf from %{name}
Group:          Development/Java
Requires:  %{name}-poms = %{epoch}:%{version}-%{release}

%description karaf
%{summary}.

%package maven-plugins
Summary:        Module maven-plugins from %{name}
Group:          Development/Java
Requires:  %{name}-poms = %{epoch}:%{version}-%{release}
Requires:  %{name}-console = %{epoch}:%{version}-%{release}
Requires:  %{name}-core = %{epoch}:%{version}-%{release}
Requires:  activeio3
Requires:  derby
Requires:  j2ee_management_1_0_api
Requires:  jms_1_1_api
Requires:  maven2
Requires:  maven2

%description maven-plugins
%{summary}.

%package openwire-generator
Summary:        Module openwire-generator from %{name}
Group:          Development/Java
Requires:  %{name}-poms = %{epoch}:%{version}-%{release}
Requires:  annogen
Requires:  ant
Requires:  groovy10
Requires:  groovy-module-gram

%description openwire-generator
%{summary}.

%package optional
Summary:        Module optional from %{name}
Group:          Development/Java
Requires:  %{name}-poms = %{epoch}:%{version}-%{release}
Requires:  %{name}-console = %{epoch}:%{version}-%{release}
Requires:  %{name}-core = %{epoch}:%{version}-%{release}
Requires:  activeio3
Requires:  aopalliance
Requires:  apache-commons-collections
Requires:  apache-commons-httpclient
Requires:  apache-commons-pool
Requires:  axis2
Requires:  jetty6
Requires:  josql
Requires:  junit
Requires:  log4j
Requires:  spring-ws
Requires:  spring2-core
Requires:  spring2-jms
Requires:  stax_1_0_api
Requires:  velocity
Requires:  xalan-j2
Requires:  xmlbeans
Requires:  xpp3
Requires:  xstream

%description optional
%{summary}.

%package pool
Summary:        Module pool from %{name}
Group:          Development/Java
Requires:  %{name}-poms = %{epoch}:%{version}-%{release}
Requires:  %{name}-core = %{epoch}:%{version}-%{release}
Requires:  %{name}-ra = %{epoch}:%{version}-%{release}
Requires:  annotation_1_0_api
Requires:  apache-commons-logging
Requires:  apache-commons-pool
Requires:  geronimo-txmanager
Requires:  jta_1_0_1B_api
Requires:  spring2-beans

%description pool
%{summary}.

%package ra
Summary:        Module ra from %{name}
Group:          Development/Java
Requires:  %{name}-poms = %{epoch}:%{version}-%{release}
Requires:  %{name}-core = %{epoch}:%{version}-%{release}
Requires:  derby
Requires:  j2ee_management_1_0_api
Requires:  log4j
Requires:  spring2-context
Requires:  spring2-core
Requires:  xbean

%description ra
%{summary}.

%package run
Summary:        Module run from %{name}
Group:          Development/Java
Requires:  %{name}-poms = %{epoch}:%{version}-%{release}
Requires:  %{name}-console = %{epoch}:%{version}-%{release}

%description run
%{summary}.

%if !%{bootstrap}
%package web
Summary:        Module web from %{name}
Group:          Development/Java
Requires:  %{name}-poms = %{epoch}:%{version}-%{release}
Requires:  %{name}-camel = %{epoch}:%{version}-%{release}
Requires:  %{name}-core = %{epoch}:%{version}-%{release}
Requires:  jdom
Requires:  jetty6
Requires:  rome
Requires:  servlet_2_5_api
Requires:  spring2-web
Requires:  spring2-webmvc
Requires:  xbean
Requires:  xpp3
Requires:  xstream

%description web
%{summary}.

%package web-console
Summary:        Module web-console from %{name}
Group:          Development/Java
Requires:  %{name}-poms = %{epoch}:%{version}-%{release}
Requires:  %{name}-console = %{epoch}:%{version}-%{release}
Requires:  %{name}-core = %{epoch}:%{version}-%{release}
Requires:  %{name}-jaas = %{epoch}:%{version}-%{release}
Requires:  %{name}-web = %{epoch}:%{version}-%{release}
Requires:  %{name}-xmpp = %{epoch}:%{version}-%{release}
Requires:  activeio3
Requires:  apache-taglibs-standard
Requires:  derby
Requires:  glassfish-jstl
Requires:  j2ee_management_1_0_api
Requires:  jacc_1_1_api
Requires:  jakarta-taglibs-standard
Requires:  jms_1_1_api
Requires:  jstl
Requires:  jta_1_0_1B_api
Requires:  log4j
Requires:  servlet_2_5_api
Requires:  sitemesh
Requires:  slf4j
Requires:  xbean
Requires:  xpp3
Requires:  xstream

%description web-console
%{summary}.

%package web-demo
Summary:        Module web-demo from %{name}
Group:          Development/Java
Requires:  %{name}-poms = %{epoch}:%{version}-%{release}
Requires:  %{name}-core = %{epoch}:%{version}-%{release}
Requires:  %{name}-jaas = %{epoch}:%{version}-%{release}
Requires:  %{name}-web = %{epoch}:%{version}-%{release}
Requires:  activeio3
Requires:  j2ee_management_1_0_api
Requires:  jacc_1_1_api
Requires:  jms_1_1_api
Requires:  jta_1_0_1B_api
Requires:  xbean
Requires:  xpp3
Requires:  xstream

%description web-demo
%{summary}.
%endif

%package xmpp
Summary:        Module xmpp from %{name}
Group:          Development/Java
Requires:  %{name}-poms = %{epoch}:%{version}-%{release}
Requires:  %{name}-core = %{epoch}:%{version}-%{release}
Requires:  activeio3
Requires:  jaf_1_1_api
Requires:  jaxb_2_1_api
Requires:  stax_1_0_api
Requires:  sun-jaxb-2.1-impl
Requires:  wstx

%description xmpp
%{summary}.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%prep
%setup -q 
gzip -dc %{SOURCE4} | tar xf -

%patch0 -b .sav0
%patch1 -b .sav1
%patch2 -b .sav2
#%if ! %{testing}
#%patch3 -b .sav3
#%patch4 -b .sav4
#%patch5 -b .sav5
#%patch6 -b .sav6
#%endif
%patch7 -b .sav7

%if %{bootstrap}
%patch99 -b .sav99
%endif
mkdir -p activemq-xmpp/target/generated-sources
cp -p %{SOURCE1} settings.xml
sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" settings.xml
sed -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" settings.xml

mkdir external_repo
ln -s %{_javadir} external_repo/JPP

# older apacheds needed
rm activemq-core/src/test/java/org/apache/activemq/security/LDAPAuthorizationMapTest.java
# hang
#rm activemq-core/src/test/java/org/apache/activemq/usecases/MultiBrokersMultiClientsTest.java
#rm activemq-core/src/test/java/org/apache/activemq/usecases/MultiBrokersMultiClientsUsingTcpTest.java
#rm activemq-core/src/test/java/org/apache/activemq/usecases/TwoMulticastDiscoveryBrokerTopicSendReceiveTest.java
#rm activemq-core/src/test/java/org/apache/activemq/transport/discovery/DiscoveryTransportBrokerTest.java
#rm activemq-core/src/test/java/org/apache/activemq/transport/discovery/RendezvousDiscoverTransportTest.java
#rm activemq-core/src/test/java/org/apache/activemq/transport/discovery/DiscoveryTransportNoBrokerTest.java
#rm activemq-core/src/test/java/org/apache/activemq/broker/region/cursors/NegativeQueueTest.java
#rm activemq-core/src/test/java/org/apache/activemq/store/jdbc/JDBCNegativeQueueTest.java
#rm activemq-core/src/test/java/org/apache/activemq/transport/failover/FailoverConsumerOutstandingCommitTest.java
#rm activemq-core/src/test/java/org/apache/activemq/usecases/ThreeBrokerQueueNetworkTest.java
#rm activemq-core/src/test/java/org/apache/activemq/usecases/ThreeBrokerQueueNetworkUsingTcpTest.java
#rm activemq-core/src/test/java/org/apache/activemq/network/SimpleNetworkTest.java
#rm activemq-core/src/test/java/org/apache/activemq/network/DuplexNetworkTest.java
#rm activemq-core/src/test/java/org/apache/activemq/network/MulticastNetworkTest.java
# prerrequisite missing
#rm activemq-optional/src/main/java/org/apache/activemq/util/oxm/OXMMessageTransformer.java
rm -rf activemq-jaas/src/test/

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p ${MAVEN_REPO_LOCAL}
mkdir -p $MAVEN_REPO_LOCAL/org/apache/directory/project/project/15/
mkdir -p $MAVEN_REPO_LOCAL/org/apache/directory/project/project/16/
cp directory-project-15/pom.xml \
   $MAVEN_REPO_LOCAL/org/apache/directory/project/project/15/project-15.pom
cp directory-project-15/pom.xml \
   $MAVEN_REPO_LOCAL/org/apache/directory/project/project/16/project-16.pom


export MAVEN_OPTS="-Xmx768m -XX:MaxPermSize=128m"
export MAVEN_SETTINGS=$(pwd)/settings.xml

#pushd kahadb
#%{_bindir}/mvn-jpp \
#        -e \
#        -s ${MAVEN_SETTINGS} \
#        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
#        -Dmaven.repo.local=${MAVEN_REPO_LOCAL} \
#        install
#popd
#pushd activemq-jmdns_1.0
#%{_bindir}/mvn-jpp \
#        -e \
#        -s ${MAVEN_SETTINGS} \
#        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
#        -Dmaven.repo.local=${MAVEN_REPO_LOCAL} \
#        install
#popd
#pushd activemq-openwire-generator
#%{_bindir}/mvn-jpp \
#        -e \
#        -s ${MAVEN_SETTINGS} \
#        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
#        -Dmaven.repo.local=${MAVEN_REPO_LOCAL} \
#        install
#popd
#pushd activemq-jaas
#%{_bindir}/mvn-jpp \
#        -e \
#        -s ${MAVEN_SETTINGS} \
#        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
#        -Dmaven.repo.local=${MAVEN_REPO_LOCAL} \
#        install
#popd
#pushd activemq-core
#%{_bindir}/mvn-jpp \
#        -e \
#        -s ${MAVEN_SETTINGS} \
#        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
#        -Dmaven.repo.local=${MAVEN_REPO_LOCAL} \
#        install
#popd

%{_bindir}/mvn-jpp \
        -e \
        -s ${MAVEN_SETTINGS} \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=${MAVEN_REPO_LOCAL} \
%if ! %{testing}
        -DskipTests=true \
%endif
        install javadoc:aggregate

%install
rm -rf $RPM_BUILD_ROOT
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}

install -m 644 activemq-all/target/%{oname}-all-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/all-%{version}.jar
%if ! %{bootstrap}
install -m 644 activemq-camel/target/%{oname}-camel-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/camel-%{version}.jar
%endif
install -m 644 activemq-console/target/%{oname}-console-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/console-%{version}.jar
install -m 644 activemq-core/target/%{oname}-core-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/core-%{version}.jar
#install -m 644 activemq-core/target/%{oname}-core-%{version}-tests.jar \
#               $RPM_BUILD_ROOT%{_javadir}/%{name}/core-tests-%{version}.jar
install -m 644 activemq-jaas/target/%{oname}-jaas-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/jaas-%{version}.jar
install -m 644 activemq-jmdns_1.0/target/%{oname}-jmdns_1.0-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/jmdns_1.0-%{version}.jar
install -m 644 activemq-karaf/target/%{oname}-karaf-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/karaf-%{version}.jar
install -m 644 activemq-openwire-generator/target/%{oname}-openwire-generator-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/openwire-generator-%{version}.jar
install -m 644 activemq-optional/target/%{oname}-optional-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/optional-%{version}.jar
install -m 644 activemq-pool/target/%{oname}-pool-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pool-%{version}.jar
install -m 644 activemq-ra/target/%{oname}-ra-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/ra-%{version}.jar
install -m 644 activemq-run/target/%{oname}-run-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/run-%{version}.jar
%if ! %{bootstrap}
install -m 644 activemq-web/target/%{oname}-web-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/web-%{version}.jar
%endif
install -m 644 activemq-xmpp/target/%{oname}-xmpp-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/xmpp-%{version}.jar
install -m 644 kahadb/target/kahadb-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/kahadb-%{version}.jar
install -m 644 activemq-tooling/maven-activemq-memtest-plugin/target/maven-activemq-memtest-plugin-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-activemq-memtest-plugin-%{version}.jar
install -m 644 activemq-tooling/maven-activemq-perf-plugin/target/maven-activemq-perf-plugin-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-activemq-perf-plugin-%{version}.jar
install -m 644 activemq-tooling/maven-activemq-plugin/target/maven-activemq-plugin-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-activemq-plugin-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 activemq-fileserver/target/%{oname}-fileserver-%{version}.war \
               $RPM_BUILD_ROOT%{_datadir}/%{name}/fileserver-%{version}.war
install -m 644 activemq-rar/target/%{oname}-rar-%{version}.rar \
               $RPM_BUILD_ROOT%{_datadir}/%{name}/rar-%{version}.rar
%if ! %{bootstrap}
install -m 644 activemq-web-console/target/%{oname}-web-console-%{version}.war \
               $RPM_BUILD_ROOT%{_datadir}/%{name}/web-console-%{version}.war
install -m 644 activemq-web-demo/target/%{oname}-web-demo-%{version}.war \
               $RPM_BUILD_ROOT%{_datadir}/%{name}/web-demo-%{version}.war
%endif

# Install pom files
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -m 644 pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-parent.pom
%add_to_maven_depmap org.apache.activemq activemq-parent %{version} JPP/%{name} parent

install -m 644 activemq-all/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-all.pom
%add_to_maven_depmap org.apache.activemq activemq-all %{version} JPP/%{name} all

install -m 644 activemq-camel/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-camel.pom
%add_to_maven_depmap org.apache.activemq activemq-camel %{version} JPP/%{name} camel

install -m 644 activemq-console/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-console.pom
%add_to_maven_depmap org.apache.activemq activemq-console %{version} JPP/%{name} console

install -m 644 activemq-core/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-core.pom
%add_to_maven_depmap org.apache.activemq activemq-core %{version} JPP/%{name} core

install -m 644 activemq-fileserver/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-fileserver.pom
%add_to_maven_depmap org.apache.activemq activemq-fileserver %{version} JPP/%{name} fileserver

install -m 644 activemq-jaas/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jaas.pom
%add_to_maven_depmap org.apache.activemq activemq-jaas %{version} JPP/%{name} jaas

install -m 644 activemq-jmdns_1.0/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jmdns_1.0.pom
%add_to_maven_depmap org.apache.activemq activemq-jmdns_1.0 %{version} JPP/%{name} jmdns_1.0

install -m 644 activemq-karaf/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-karaf.pom
%add_to_maven_depmap org.apache.activemq activemq-karaf %{version} JPP/%{name} karaf

install -m 644 activemq-openwire-generator/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-openwire-generator.pom
%add_to_maven_depmap org.apache.activemq activemq-openwire-generator %{version} JPP/%{name} openwire-generator

install -m 644 activemq-optional/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-optional.pom
%add_to_maven_depmap org.apache.activemq activemq-optional %{version} JPP/%{name} optional

install -m 644 activemq-pool/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pool.pom
%add_to_maven_depmap org.apache.activemq activemq-pool %{version} JPP/%{name} pool

install -m 644 activemq-ra/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-ra.pom
%add_to_maven_depmap org.apache.activemq activemq-ra %{version} JPP/%{name} ra

install -m 644 activemq-rar/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rar.pom
%add_to_maven_depmap org.apache.activemq activemq-rar %{version} JPP/%{name} rar

install -m 644 activemq-run/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-run.pom
%add_to_maven_depmap org.apache.activemq activemq-run %{version} JPP/%{name} run

install -m 644 activemq-tooling/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tooling.pom
%add_to_maven_depmap org.apache.activemq activemq-tooling %{version} JPP/%{name} tooling

install -m 644 activemq-tooling/maven-activemq-memtest-plugin/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-maven-activemq-memtest-plugin.pom
%add_to_maven_depmap org.apache.activemq maven-activemq-memtest-plugin %{version} JPP/%{name} maven-activemq-memtest-plugin

install -m 644 activemq-tooling/maven-activemq-perf-plugin/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-maven-activemq-perf-plugin.pom
%add_to_maven_depmap org.apache.activemq maven-activemq-perf-plugin %{version} JPP/%{name} maven-activemq-perf-plugin

install -m 644 activemq-tooling/maven-activemq-plugin/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-maven-activemq-plugin.pom
%add_to_maven_depmap org.apache.activemq maven-activemq-plugin %{version} JPP/%{name} maven-activemq-plugin

install -m 644 activemq-web-console/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-web-console.pom
%add_to_maven_depmap org.apache.activemq activemq-web-console %{version} JPP/%{name} web-console

install -m 644 activemq-web-demo/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-web-demo.pom
%add_to_maven_depmap org.apache.activemq activemq-web-demo %{version} JPP/%{name} web-demo

install -m 644 activemq-web/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-web.pom
%add_to_maven_depmap org.apache.activemq activemq-web %{version} JPP/%{name} web

install -m 644 activemq-xmpp/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-xmpp.pom
%add_to_maven_depmap org.apache.activemq activemq-xmpp %{version} JPP/%{name} xmpp

install -m 644 kahadb/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-kahadb.pom
%add_to_maven_depmap org.apache.activemq kahadb %{version} JPP/%{name} kahadb


# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%postun
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%files poms
%defattr(-,root,root)
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*
%dir %{_datadir}/%{name}
%dir %{_javadir}/%{name}
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-%{version}.jar.*
%endif

%files all
%defattr(-,root,root)
%{_javadir}/%{name}/all*.jar

%if !%{bootstrap}
%files camel
%defattr(-,root,root)
%{_javadir}/%{name}/camel*.jar

%files web
%defattr(-,root,root)
%{_javadir}/%{name}/web-%{version}.jar
%{_javadir}/%{name}/web.jar

%files web-console
%defattr(-,root,root)
%{_datadir}/%{name}/web-console*.war

%files web-demo
%defattr(-,root,root)
%{_datadir}/%{name}/web-demo*.war
%endif

%files console
%defattr(-,root,root)
%{_javadir}/%{name}/console*.jar

%files core
%defattr(-,root,root)
%{_javadir}/%{name}/core*.jar

%files fileserver
%defattr(-,root,root)
%{_datadir}/%{name}/fileserver*.war

%files jaas
%defattr(-,root,root)
%{_javadir}/%{name}/jaas*.jar

%files jmdns_1.0
%defattr(-,root,root)
%{_javadir}/%{name}/jmdns_1.0*.jar

%files kahadb
%defattr(-,root,root)
%{_javadir}/%{name}/kahadb*.jar

%files karaf
%defattr(-,root,root)
%{_javadir}/%{name}/karaf*.jar

%files maven-plugins
%defattr(-,root,root)
%{_javadir}/%{name}/maven*.jar

%files openwire-generator
%defattr(-,root,root)
%{_javadir}/%{name}/openwire-generator*.jar

%files optional
%defattr(-,root,root)
%{_javadir}/%{name}/optional*.jar

%files pool
%defattr(-,root,root)
%{_javadir}/%{name}/pool*.jar

%files ra
%defattr(-,root,root)
%{_javadir}/%{name}/ra*.jar
%{_datadir}/%{name}/ra*.rar

%files run
%defattr(-,root,root)
%{_javadir}/%{name}/run*.jar

%files xmpp
%defattr(-,root,root)
%{_javadir}/%{name}/xmpp*.jar


%files javadoc
%defattr(-,root,root)
%doc %{_javadocdir}/*

%changelog
* Fri Nov 11 2011 Ralph Apel <r.apel@r-apel.de> - 0:5.3.1-2
- build without bootstrap (i.e. with camel)

* Mon Jun 06 2011 Ralph Apel <r.apel@r-apel.de> - 0:5.3.1-1
- first release

